org.optaplanner.benchmark.impl.statistic.scorecalculationspeed

## Class ScoreCalculationSpeedProblemStatistic

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.ProblemStatistic
  - - org.optaplanner.benchmark.impl.statistic.scorecalculationspeed.ScoreCalculationSpeedProblemStatistic

-     public class ScoreCalculationSpeedProblemStatistic
      extends ProblemStatistic

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected File` | `graphFile`

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.ProblemStatistic

      `logger, problemBenchmarkResult, problemStatisticType, warningList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScoreCalculationSpeedProblemStatistic(ProblemBenchmarkResult problemBenchmarkResult)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SubSingleStatistic` | `createSubSingleStatistic(SubSingleBenchmarkResult subSingleBenchmarkResult)`
    `List<File>` | `getGraphFileList()`
    `void` | `writeGraphFiles(BenchmarkReport benchmarkReport)`

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.ProblemStatistic

      `accumulateResults, fillWarningList, getAnchorId, getGraphFile, getProblemBenchmarkResult, getProblemStatisticType, getSubSingleStatisticList, getWarningList, setProblemBenchmarkResult, toString, writeChartToImageFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### graphFile

          protected File graphFile

  - ### Constructor Detail

    - #### ScoreCalculationSpeedProblemStatistic

          public ScoreCalculationSpeedProblemStatistic(ProblemBenchmarkResult problemBenchmarkResult)

  - ### Method Detail

    - #### createSubSingleStatistic

          public SubSingleStatistic createSubSingleStatistic(SubSingleBenchmarkResult subSingleBenchmarkResult)

      Specified by:
        `createSubSingleStatistic` in class `ProblemStatistic`

    - #### getGraphFileList

          public List<File> getGraphFileList()

      Specified by:
        `getGraphFileList` in class `ProblemStatistic`
      Returns:
        never null

    - #### writeGraphFiles

          public void writeGraphFiles(BenchmarkReport benchmarkReport)

      Specified by:
        `writeGraphFiles` in class `ProblemStatistic`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.